For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList Datasets
      • POSTUpsert Dataset
      • GETGet Dataset
      • DELDelete Dataset
      • PATCHMove Dataset
      • GETList Datapoints
      • GETList Versions of a Dataset
      • DELDelete Dataset Version
      • PATCHUpdate Dataset Version
      • POSTUpload CSV
      • POSTDeploy Dataset
      • DELRemove Deployment
      • GETList a Dataset's Environments
LogoLogo
Sign inBook a demo
APIDatasets

List Datasets

GET
https://api.humanloop.com/v5/datasets
GET
/v5/datasets
$curl -G https://api.humanloop.com/v5/datasets \
> -H "X-API-KEY: <apiKey>" \
> -d size=1
1{
2 "records": [
3 {
4 "path": "test-questions",
5 "id": "ds_345mno",
6 "name": "test-questions",
7 "version_id": "dsv_678pqr",
8 "created_at": "2024-05-01T12:00:00Z",
9 "updated_at": "2024-05-01T12:00:00Z",
10 "last_used_at": "2024-05-01T12:00:00Z",
11 "datapoints_count": 2,
12 "type": "dataset",
13 "created_by": {
14 "id": "usr_v23rSVAgas2a",
15 "full_name": "Jordan Burges",
16 "email_address": "jordan@humanloop.com"
17 }
18 }
19 ],
20 "page": 0,
21 "size": 1,
22 "total": 1
23}
List all Datasets.
Was this page helpful?
Previous

Upsert Dataset

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Query parameters

pageintegerOptional>=1Defaults to 1
Page offset for pagination.
sizeintegerOptional>=0Defaults to 10
Page size for pagination. Number of Datasets to fetch.
namestringOptional

Case-insensitive filter for Dataset name.

user_filterstringOptional

Case-insensitive filter for users in the Dataset. This filter matches against both email address and name of users.

sort_byenumOptional
Field to sort Datasets by
Allowed values:
orderenumOptional
Direction to sort by.
Allowed values:

Response

Successful Response
recordslist of objects
pageinteger
sizeinteger
totalinteger

Errors

422
List Datasets Get Request Unprocessable Entity Error